# Enum Class PathProvider

java.lang.Object
java.lang.Enum<PathProvider>
picard.nio.PathProvider

All Implemented Interfaces:
  `Serializable, Comparable<PathProvider>, Constable`

public enum PathProvider extends Enum<PathProvider>
A class whose purpose is to initialize the various plugins that provide Path support.

At the moment only google-GCS support is available, but it should be easy to follow the pattern and add support for other Path providers.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GCS`

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`isAvailable`

## Method Summary

Modifier and Type
Method
Description
`protected abstract boolean`
`initialize()`
`static PathProvider`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PathProvider[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GCS

public static final PathProvider GCS

## Field Details

### isAvailable

public final boolean isAvailable

## Method Details

### values

public static PathProvider[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PathProvider valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### initialize

protected abstract boolean initialize()